%define major		0.9
%define libname		%mklibname quotientqt6_ %{major}
%define develname	%mklibname quotientqt6 -d

Name:		libquotient
Version:	0.9.1
Release:	%mkrel 1
Summary:	Qt library to write cross-platform clients for Matrix
Group:		System/Libraries
License:	LGPLv2+
URL:		https://github.com/quotient-im/libQuotient
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Keychain)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Test)

BuildRequires:	ninja-build
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	gcc
# for e2ee support
BuildRequires:	cmake(Olm)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	pkgconfig(openssl)

%description
The Quotient project aims to produce a Qt-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt6 library to write cross-platform clients for Matrix
Group:		System/Libraries

%description -n	%{libname}
The Quotient project aims to produce a Qt6-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	quotient-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n libQuotient-%{version}

rm -rf 3rdparty

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DQuotient_INSTALL_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/ndk-modules

%check
%ctest --exclude-regex 'testolmaccount|testkeyverification'

%files -n %{libname}
%license COPYING
%doc README.md CONTRIBUTING.md SECURITY.md
%{_libdir}/libQuotientQt6.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/Quotient/
%{_libdir}/cmake/QuotientQt6/
%{_libdir}/pkgconfig/QuotientQt6.pc
%{_libdir}/libQuotientQt6.so


%changelog
* Tue Dec 17 2024 daviddavid <daviddavid> 0.9.1-1.mga10
+ Revision: 2125742
- new version: 0.9.1

* Sun Nov 17 2024 daviddavid <daviddavid> 0.9.0-1.mga10
+ Revision: 2116758
- new version: 0.9.0
- now libmajor is 0.9

* Thu Apr 18 2024 daviddavid <daviddavid> 0.8.2-1.mga10
+ Revision: 2058458
- new version: 0.8.2

* Sat Mar 02 2024 daviddavid <daviddavid> 0.8.1.2-3.mga10
+ Revision: 2046464
- rebuild for new Qt 6.6.2

* Fri Nov 17 2023 daviddavid <daviddavid> 0.8.1.2-2.mga10
+ Revision: 2007327
- port to Qt6

* Wed Sep 20 2023 daviddavid <daviddavid> 0.8.1.2-1.mga10
+ Revision: 1988461
- new version: 0.8.1.2

* Mon Sep 04 2023 daviddavid <daviddavid> 0.8.1.1-1.mga10
+ Revision: 1984111
- new version: 0.8.1.1
- now libmajor is 0.8

* Thu Aug 31 2023 daviddavid <daviddavid> 0.7.2-1.mga10
+ Revision: 1982070
- new version: 0.7.2

* Tue Jan 10 2023 daviddavid <daviddavid> 0.7.1-1.mga9
+ Revision: 1932120
- new version: 0.7.1

* Thu Dec 22 2022 daviddavid <daviddavid> 0.7.0-1.mga9
+ Revision: 1925662
- new version: 0.7.0
- now libmajor is 0.7
- enabled E2EE support

* Wed Aug 31 2022 papoteur <papoteur> 0.6.11-1.mga9
+ Revision: 1882742
- new 0.6.11

* Wed Apr 06 2022 umeabot <umeabot> 0.6.6-2.mga9
+ Revision: 1845836
- Mageia 9 Mass Rebuild

* Sat Mar 20 2021 daviddavid <daviddavid> 0.6.6-1.mga9
+ Revision: 1706034
- new version: 0.6.6

* Thu Feb 25 2021 daviddavid <daviddavid> 0.6.5-1.mga9
+ Revision: 1690678
- new version: 0.6.5

* Tue Jan 26 2021 daviddavid <daviddavid> 0.6.4-1.mga8
+ Revision: 1673514
- new version: 0.6.4

* Thu Jan 14 2021 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1671724
- initial package libquotient (needed for neochat)

